/*
- VARIABILI
- GENERAL
- FONTS

- STILI CUSTOM
    - BUTTON
    - SLIDER
    - DETAILS

- HEADER
    - HAMBURGER
    - SUB MENU
    - OVERLAY

- FORM
  - ACCORDION FORM

- PRELOADER
*/



/** -------------------------------------------------------------------------------- */
/* // ! MOD  */
/** -------------------------------------------------------------------------------- */
p:not(footer p) { text-align:justify !important; }



/** -------------------------------------------------------------------------------- */
/* // ! VARIABILI */
/** -------------------------------------------------------------------------------- */
:root{
    --transition: all 0.3s;
    --transition-cubic: all 0.5s cubic-bezier(0.59, 0.03, 0.2, 1);
}
  
  
  
/** -------------------------------------------------------------------------------- */
/* // ! GENERAL */
/** -------------------------------------------------------------------------------- */
:root{
  --font-poppins: var(--wp--preset--font-family--poppins);
  --font-open: var(--wp--preset--font-family--open-sans);
}


/** -------------------------------------------------------------------------------- */
/* // ! FONTS */
/** -------------------------------------------------------------------------------- */
.has-titolo-grande-font-size{
  font-family: var(--font-poppins);
  line-height: 1;
  letter-spacing: -1px;
  font-weight: 400 !important;
}
.has-titolo-grande-font-size strong{
  font-weight: 700 !important;
}
.has-titolo-sezione-font-size{
  font-family: var(--font-poppins);
  line-height: 1;
  letter-spacing: -1px;
  font-weight: 600 !important;
}

.has-titolo-piccolo-font-size{
  font-family: var(--font-poppins);
  line-height: 1;
  font-weight: 600 !important;
}

.has-titolo-xs-font-size{
  font-weight: 600 !important;
}

  
  
/** -------------------------------------------------------------------------------- */
/* // ! STILI CUSTOM */
/** -------------------------------------------------------------------------------- */  
/*? -------------------------------------------------------------------------------- */
/*? BUTTON */
/*? -------------------------------------------------------------------------------- */
.wp-block-button__link:hover{
  background-color: var(--wp--preset--color--custom-nero) !important;
}



/*? -------------------------------------------------------------------------------- */
/*? SLIDER */
/*? -------------------------------------------------------------------------------- */
/* bullets */
.container-paginazione-slider{
      height: 40px;
}
.swiper-pagination-bullet{
  background: currentColor !important;
}
  
/* freccie */
.swiper-button-next:after,
.swiper-button-prev:after{
  display: none;
}
.swiper-button-next .material-symbols-outlined,
.swiper-button-prev .material-symbols-outlined{
  color: var(--wp--preset--color--custom-nero);
  font-size: 40px;
}

/* freccie bianche */
.wp-block-query.is-style-freccie-bianche .material-symbols-outlined{
  color: var(--wp--preset--color--custom-bianco) !important;
}
  


/*? -------------------------------------------------------------------------------- */
/*? DETAILS */
/*? -------------------------------------------------------------------------------- */
.wp-block-details{
  margin-bottom: 10px;
}
.wp-block-details summary{
  margin-bottom: 10px;
  font-weight: 600;
}
  
  
/** -------------------------------------------------------------------------------- */
/* // ! HEADER */
/** -------------------------------------------------------------------------------- */
header{
    position: fixed;
    width: 100%;
    z-index: 99;
    transition: var(--transition);
}
.scrollato header{
  background-color: var(--wp--preset--color--custom-due);
  box-shadow: 0px 0px 30px #00000030;
}
  
  
  
/*? -------------------------------------------------------------------------------- */
/*? HAMBURGER */
/*? -------------------------------------------------------------------------------- */
/* btn hamburger */
.hamburger-mobile{
  text-align: center;
  margin: 0 !important;
}
.btn-menu {
  z-index: 34;
  background: transparent;
  min-height: 22px;
  padding-left: 0;
  padding-right: 0;
  border: none;
  color: inherit;
  cursor: pointer;
  transition: 0.3s ease;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  gap: 10px;
}
.menu-open .btn-menu,
.scrollato .btn-menu{
  background-color: transparent;
}
  
.btn-menu__bars {
  display: block !important;
  background: var(--wp--preset--color--custom-bianco);
  position: relative;
  width: 26px;
  height: 1px;
  transition: 0.3s;
}
  
  
.btn-menu__bars:before{
  content: "";
  background: var(--wp--preset--color--custom-bianco);
  display: block;
  position: absolute;
  right: 0;
  width: 100%;
  height: 100%;
  transition: 0.3s;
}
  
  
.btn-menu__bars:after {
  content: "";
  background: var(--wp--preset--color--custom-bianco);
  display: block;
  position: absolute;
  left: 0;
  width: 100%;
  height: 100%;
  transition: 0.3s;
}
  
  
.btn-menu__bars:before {
  transform: translate(0, -8px);
}
  
.btn-menu__bars:after {
  transform: translate(0, 8px);
}
  
/* menu open */
.menu-open .btn-menu .btn-menu__bars {
  background-color: transparent;
}
.menu-open .btn-menu__bars:before {
  background-color: var(--wp--preset--color--custom-bianco);
  transform: rotate(45deg);
  right: 0;
  width: 100%;
}

.menu-open .btn-menu__bars:after {
  background-color: var(--wp--preset--color--custom-bianco);
  transform: rotate(-45deg);
  width: 100%;
}
  




/*? -------------------------------------------------------------------------------- */
/*? VOCI E SUB MENU */
/*? -------------------------------------------------------------------------------- */
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione ul.menu{
  margin: 0;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione ul.menu > li{
  padding: 0px 0px;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children{
  position: relative; 
  display: flex;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children .sub-menu{
  display: block;
  background-color: var(--wp--preset--color--due);
  position: absolute;
  top: 60px;
  opacity:1;
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  opacity:0;
  visibility:hidden;
  background-color: var(--wp--preset--color--custom-bianco);
  width: max-content;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children:not(.overlay-menu .menu-item-has-children):hover .sub-menu{
  opacity:1;
  visibility:visible;
  top:60px;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children .sub-menu > li{
  padding: 10px;
  border-bottom: 1px solid var(--wp--preset--color--custom-bianco);
  transition: all 0.3s;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children .sub-menu > li:hover{
  background-color: var(--wp--preset--color--custom-uno);
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children > a{
  gap: 0px;
}

.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione{
  /* text-transform: uppercase; */
}

.header-menu .freccia-sub-menu{
  position: relative;
  top: -3px;
}


  
/*? -------------------------------------------------------------------------------- */
/*? OVERLAY */
/*? -------------------------------------------------------------------------------- */
.overlay-menu:not(.editor-styles-wrapper .overlay-menu) {
  position: fixed;
  width: 100%;
  z-index: -1;
  transform: translateY(-110%);
  transition: all 0.8s cubic-bezier(0.59, 0.03, 0.2, 1);
  top: 0;
}
  
.menu-open .overlay-menu{
  transform: translateY(0%) !important;
}

.overlay-menu ul.menu{
  gap: 5px;
}
.overlay-menu ul.menu > li{
  /* padding: 0 !important; */
  font-size: clamp(18px, 4vw, 22px);
}
.overlay-menu ul.menu > li > a{
  flex-direction: row;
  align-items: center;
}
.overlay-menu ul.menu > li.menu-item-has-children .sub-menu > li > a{
  font-size: 16px;
  margin-bottom: 3px;
}
.overlay-menu .freccia-sub-menu{
  position: relative;
  top:2px;
}


/* altezza massima */
.overlay-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione{
  max-height: 74vh;
  overflow: auto;
  padding-bottom: 40px;
}




/** -------------------------------------------------------------------------------- */
/* // ! FORM */
/** -------------------------------------------------------------------------------- */
#gform_fields_1{
  row-gap: 10px !important;
}

/*? -------------------------------------------------------------------------------- */
/*? ACCORDION */
/*? -------------------------------------------------------------------------------- */
.accordion-form summary{
  width: max-content;
  margin: 0 auto;
}

.accordion-form.wp-block-details summary::-webkit-details-marker{
  display:none;
}
.accordion-form.wp-block-details summary{
  list-style: none !important;
  list-style: none !important;
  background-color: var(--wp--preset--color--custom-uno);
  padding: 15px 20px;
  text-transform: uppercase;
  color: var(--wp--preset--color--custom-bianco);
  transition: var(--transition);
}
.accordion-form.wp-block-details summary:hover{
  background-color: var(--wp--preset--color--custom-nero);
}



/** -------------------------------------------------------------------------------- */
/* // ! PRELOADER */
/** -------------------------------------------------------------------------------- */
#preloader .preloader-inner{
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  }
    
.loader {
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: var(--wp--preset--color--custom-uno);
  box-shadow: 32px 0 var(--wp--preset--color--custom-uno), -32px 0 var(--wp--preset--color--custom-uno);
  position: relative;
  animation: flash 1s ease-out infinite alternate;
  margin: 20px 0px;
}
    
@keyframes flash {
  0% {
  background-color: #ffffff20;
  box-shadow: 32px 0 #ffffff20, -32px 0 var(--wp--preset--color--custom-uno);
  }
  50% {
  background-color: var(--wp--preset--color--custom-uno);
  box-shadow: 32px 0 #ffffff20, -32px 0 #ffffff20;
  }
  100% {
  background-color: #ffffff20;
  box-shadow: 32px 0 var(--wp--preset--color--custom-uno), -32px 0 #ffffff20;
  }
}


.halal {
  gap: var(--wp--preset--spacing--10) var(--wp--preset--spacing--10)!important;
  }

@media (min-width: 782px) and (max-width: 1440px) {
    .has-titolo-sezione-font-size {
      font-size: clamp(28px, 1.75rem + ((1vw - 3.2px) * 0.938), 30px)!important;
  }
}

.colonne-loghi {
    display: flex;
    gap: 10px;          /* spazio interno tra le colonne */
    column-gap: 10px;   /* compatibilità totale */
}

